--- a/po/create_qm_files
+++ b/po/create_qm_files
@@ -33,14 +33,18 @@ if [ "$1" = "local" ]; then
    for i in `ls ` ; do
       if [ -s $i/kdiff3.po ]; then
          echo Creating ./kdiff3_$i.qm
-         lconvert -if po -of qm -o $path/kdiff3_$i.qm $i/kdiff3.po
+         # lconvert -if po -of qm -o $path/kdiff3_$i.qm $i/kdiff3.po
+         mkdir --parents $INSTALL_ROOT/usr/share/locale/$i/LC_MESSAGES/
+         lconvert -if po -of qm -o $INSTALL_ROOT/usr/share/locale/$i/LC_MESSAGES/kdiff3.qm $i/kdiff3.po
       fi
    done
 elif [ "$1" = "install" ]; then
    for i in `ls` ; do
       if [ -s $i/kdiff3.po ]; then
          echo Installing /usr/share/locale/$i/LC_MESSAGES/kdiff3.qm
-         sudo lconvert -if po -of qm -o /usr/share/locale/$i/LC_MESSAGES/kdiff3.qm $i/kdiff3.po
+         # sudo lconvert -if po -of qm -o /usr/share/locale/$i/LC_MESSAGES/kdiff3.qm $i/kdiff3.po
+         mkdir --parents $INSTALL_ROOT/usr/share/locale/$i/LC_MESSAGES/
+         lconvert -if po -of qm -o $INSTALL_ROOT/usr/share/locale/$i/LC_MESSAGES/kdiff3.qm $i/kdiff3.po
       fi
    done
 else
